#!/usr/bin/make -f

export DH_VERBOSE=1

PY3VERS:=$(shell py3versions -r)

# The magic debhelper  rule
%:
	dh  $@  --buildsystem=pybuild

override_dh_auto_clean:
	rm -f test.nc ofile.nc
	rm -fr *.egg-info build
	python3 setup.py clean -a

override_dh_auto_test:
	for pyvers in $(PY3VERS) ; do \
		($$pyvers ./test/test_cdo.py || echo "Ignoring test failures" ) ; done


override_dh_auto_build: 
	python3 setup.py build

override_dh_auto_install: 
	for p in $(PY3VERS) ; do \
		$$p setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb ; \
		done
	dh_numpy3
